Bug 484376 - netdump is broken on igb and ixgbe devices in recent update
netdump is broken on igb and ixgbe devices in recent update
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.8
All Linux
low Severity medium
: rc
: ---
Assigned To: Andy Gospodarek
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-06 09:52 EST by Andy Gospodarek
Modified: 2014-06-29 19:01 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 15:35:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Gospodarek 2009-02-06 09:52:41 EST
Because of the use of extra netdevs created for MSI-X/NAPI support these devices cannot properly netdump.

I already have patches available in my test kernels here:

http://people.redhat.com/agospoda/#rhel4

More testing is needed, but I feel good about these so far.
Comment 1 RHEL Product and Program Management 2009-02-06 09:59:27 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Andy Gospodarek 2009-02-12 07:40:30 EST
My test kernels have been updated to include a patch for this bugzilla.

http://people.redhat.com/agospoda/#rhel4

Please test them and report back your results.  Without immediate
feedback there is a good chance this or any other fix for this driver
will not be included in the upcoming update.
Comment 3 Andy Gospodarek 2009-02-19 16:46:26 EST
My test kernels have been updated to include a patch for this bugzilla.

http://people.redhat.com/agospoda/#rhel4

Please test them and report back your results.  Without immediate
feedback there is a good chance this or any other fix for this driver
will not be included in the upcoming update.
Comment 5 Vivek Goyal 2009-03-11 10:10:47 EDT
Committed in 83.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 8 Narendra K 2009-04-13 09:34:42 EDT
(In reply to comment #5)
> Committed in 83.EL . RPMS are available at
> http://people.redhat.com/vgoyal/rhel4/  

I tested the kernel 2.6.9-87ELsmp and the behavior mentioned in "Issue 280863 - RHEL-4.8-Beta1: ixgbe panics when the device is opened" is not seen. The driver doesn't panic when the device is opened.
Comment 10 errata-xmlrpc 2009-05-18 15:35:08 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1024.html

Note You need to log in before you can comment on or make changes to this bug.